api:
	alembic upgrade head && uv run granian --interface asgi server.main:app --host 0.0.0.0

dog-train:
	uv run ml/dogs.py

cat-train:
	uv run ml/cats.py

format:
	uv run ruff format 

lint:
	uv run mypy ./ --explicit-package-bases;
	ruff check --fix

pipinstall:
	uv pip sync requirements.txt

migrate-up:
	alembic upgrade head

migration-generate:
	git rev-parse --short HEAD | xargs -I {} alembic revision --autogenerate -m "{}"
